// ClothInitializeDialog.cpp : implementation file
//

#include "stdafx.h"
#include "glInteractive.h"
#include "ClothInitializeDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CClothInitializeDialog dialog


CClothInitializeDialog::CClothInitializeDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CClothInitializeDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CClothInitializeDialog)
	m_nx = 17;
	m_ny = 10;
	m_spacing = 0.25f;
	//}}AFX_DATA_INIT
}


void CClothInitializeDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CClothInitializeDialog)
	DDX_Text(pDX, IDC_EDIT_NX, m_nx);
	DDV_MinMaxInt(pDX, m_nx, 3, 100);
	DDX_Text(pDX, IDC_EDIT_NY, m_ny);
	DDV_MinMaxInt(pDX, m_ny, 3, 100);
	DDX_Text(pDX, IDC_EDIT_SPACING, m_spacing);
	DDV_MinMaxFloat(pDX, m_spacing, 1.e-002f, 1.f);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CClothInitializeDialog, CDialog)
	//{{AFX_MSG_MAP(CClothInitializeDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CClothInitializeDialog message handlers
