// ParameterTable.h: interface for the ParameterTable class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PARAMETERTABLE_H__09B0C55C_A55B_4F4C_8DEC_6E7076E1F605__INCLUDED_)
#define AFX_PARAMETERTABLE_H__09B0C55C_A55B_4F4C_8DEC_6E7076E1F605__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Parameter.h"
#define NUM_BINS	41

class ParameterTable  
{
public:
	ParameterTable();
	virtual ~ParameterTable();
	virtual Parameter *Add(const Parameter &newItem);
	virtual Parameter *Lookup(const char *key);
	virtual double LookupValue(const char *key);
	virtual int Gather(Parameter **items);
	virtual int Count() {return myCount;};
protected:
	virtual int Hash(const char *key);
	Parameter *myBin[NUM_BINS];
	int myCount;
};

#endif // !defined(AFX_PARAMETERTABLE_H__09B0C55C_A55B_4F4C_8DEC_6E7076E1F605__INCLUDED_)
