// glInteractiveDoc.h : interface of the CGlInteractiveDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_GLINTERACTIVEDOC_H__FE365944_747E_4A04_A399_F9D7B0F495D1__INCLUDED_)
#define AFX_GLINTERACTIVEDOC_H__FE365944_747E_4A04_A399_F9D7B0F495D1__INCLUDED_

#include "SimpleCloth.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ClothControls.h"

class CGlInteractiveDoc : public CDocument
{
protected: // create from serialization only
	CGlInteractiveDoc();
	DECLARE_DYNCREATE(CGlInteractiveDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGlInteractiveDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	void Increment();
	SimpleCloth mCloth;
	virtual ~CGlInteractiveDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CClothControls *m_pControls;
	bool m_showControls;
	bool m_recording;
// Generated message map functions
protected:
	int m_icount,m_iskip,m_fcount;
	double m_deltaT;
	//{{AFX_MSG(CGlInteractiveDoc)
	afx_msg void OnFileSave();
	afx_msg void OnViewControls();
	afx_msg void OnUpdateViewControls(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GLINTERACTIVEDOC_H__FE365944_747E_4A04_A399_F9D7B0F495D1__INCLUDED_)
